summaryrefslogtreecommitdiff
path: root/bin/mw
diff options
context:
space:
mode:
authorLuke Smith <luke@lukesmith.xyz>2020-10-28 10:24:14 -0400
committerLuke Smith <luke@lukesmith.xyz>2020-10-28 10:24:14 -0400
commit12664a3f596b347b98ad33e5ff911f8396d5dedc (patch)
tree70dc9290aada0e19a178fd09f63406833e5c0ee6 /bin/mw
parenta978f36ec2a4309ed545009552797ef52e14b2d6 (diff)
error code on failure
Diffstat (limited to 'bin/mw')
-rwxr-xr-xbin/mw7
1 files changed, 4 insertions, 3 deletions
diff --git a/bin/mw b/bin/mw
index 59ef132..e02d3ab 100755
--- a/bin/mw
+++ b/bin/mw
@@ -330,12 +330,13 @@ Main actions:
-Y Sync mail for all accounts
Options allowed with -a:
- -u Account login name if not full address.
- -n "Real name" to be on the email account.
+ -u Account login name if not full address
+ -n "Real name" to be on the email account
-i IMAP server address
-I IMAP server port
-s SMTP server address
-S SMTP server port
+ -x Password for account (recommended to be in double quotes)
-p Install for a Protonmail account.
-o Configure address, but keep mail online.
-b Assume typical English mailboxes without attempting log-on.
@@ -353,7 +354,7 @@ esac done
case "$action" in
list) list ;;
- add) askinfo && getprofiles && writeinfo && getboxes && finalize || delete ;;
+ add) askinfo && getprofiles && writeinfo && getboxes && finalize || { delete ; exit 1 ;} ;;
delete) delete $fulladdr ;;
sync) syncwrapper $fulladdr ;;
esac